aboutsummaryrefslogtreecommitdiff
path: root/etc/rc.d/amd
diff options
context:
space:
mode:
Diffstat (limited to 'etc/rc.d/amd')
-rwxr-xr-xetc/rc.d/amd12
1 files changed, 2 insertions, 10 deletions
diff --git a/etc/rc.d/amd b/etc/rc.d/amd
index e313f0cd2490..2ed70ebfb106 100755
--- a/etc/rc.d/amd
+++ b/etc/rc.d/amd
@@ -19,15 +19,8 @@ extra_commands="reload"
amd_precmd()
{
- if ! checkyesno nfs_client_enable; then
- force_depend nfsclient || return 1
- fi
-
- if ! checkyesno rpcbind_enable && \
- ! /etc/rc.d/rpcbind forcestatus 1>/dev/null 2>&1
- then
- force_depend rpcbind || return 1
- fi
+ force_depend nfsclient nfs_client || return 1
+ force_depend rpcbind || return 1
case ${amd_map_program} in
[Nn][Oo] | '')
@@ -49,7 +42,6 @@ amd_precmd()
command_args="> /var/run/amd.pid 2> /dev/null"
;;
esac
- return 0
}
load_rc_config $name